Package org.apache.sling.feature.extension.apiregions.analyser

# Class CheckApiRegionsBundleExportsImports.Report

java.lang.Object
org.apache.sling.feature.extension.apiregions.analyser.CheckApiRegionsBundleExportsImports.Report

Enclosing class:
  `CheckApiRegionsBundleExportsImports`

public static final class CheckApiRegionsBundleExportsImports.Report extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`List<org.apache.sling.feature.scanner.PackageInfo>`
`exportMatchingSeveral`
`List<org.apache.sling.feature.scanner.PackageInfo>`
`missingExports`
`List<org.apache.sling.feature.scanner.PackageInfo>`
`missingExportsForOptional`
`List<org.apache.sling.feature.scanner.PackageInfo>`
`missingExportsWithVersion`
`Map<org.apache.sling.feature.scanner.PackageInfo,Map.Entry<Set<String>,Set<String>>>`
`regionInfo`

## Constructor Summary

Constructors
Constructor
Description
`Report()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### exportMatchingSeveral

public List<org.apache.sling.feature.scanner.PackageInfo> exportMatchingSeveral

### missingExports

public List<org.apache.sling.feature.scanner.PackageInfo> missingExports

### missingExportsWithVersion

public List<org.apache.sling.feature.scanner.PackageInfo> missingExportsWithVersion

### missingExportsForOptional

public List<org.apache.sling.feature.scanner.PackageInfo> missingExportsForOptional

### regionInfo

public Map<org.apache.sling.feature.scanner.PackageInfo,Map.Entry<Set<String>,Set<String>>> regionInfo

## Constructor Details

### Report

public Report()